# Generated by Django 2.2.5 on 2019-12-10 18:53

import uuid

from django.db import migrations, models


def create_uuid(apps, schema_editor):
    Dashboard = apps.get_model('pyplan', 'Dashboard')
    for dashboard in Dashboard.objects.all():
        dashboard.uuid = uuid.uuid4()
        dashboard.save()

    Report = apps.get_model('pyplan', 'Report')
    for report in Report.objects.all():
        report.uuid = uuid.uuid4()
        report.save()

class Migration(migrations.Migration):

    dependencies = [
        ('pyplan', '0014_demo_dashboards'),
    ]

    operations = [
        migrations.AddField(
            model_name='dashboard',
            name='uuid',
            field=models.UUIDField(default=uuid.uuid4, null=True),
        ),
        migrations.AddField(
            model_name='report',
            name='uuid',
            field=models.UUIDField(default=uuid.uuid4, null=True),
        ),
        migrations.RunPython(create_uuid),
    ]
